- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# dchroot_dsa::main Class Reference

Frontend for dchroot-dsa. More...

`#include <dchroot-dsa-main.h>`

Inheritance diagram for dchroot_dsa::main:

[legend]
Collaboration diagram for dchroot_dsa::main:

[legend]
List of all members.

## Public Member Functions
| main (schroot::options_base::ptr &options)
| The constructor.
virtual | ~main ()
| The destructor.
## Protected Member Functions
virtual void | load_config ()
| Load configuration.
virtual void | create_session (sbuild::session::operation sess_op)
| Create a session.

## Detailed Description

Frontend for dchroot-dsa.

This class is used to "run" dchroot-dsa.

## Constructor & Destructor Documentation

main::main | ( | schroot::options_base::ptr & | options | ) |

The constructor.

Parameters:

  | options | the command-line options to use.

main::~main | ( |  | ) | `[virtual]`

The destructor.

Reimplemented from schroot_base::main.

## Member Function Documentation

void main::create_session | ( | sbuild::session::operation | sess_op | ) | `[protected, virtual]`

Create a session.

This sets the session member.

Parameters:

  | sess_op | the session operation to perform.

Implements schroot::main_base.

void main::load_config | ( |  | ) | `[protected, virtual]`

Load configuration.

Reimplemented from schroot::main_base.

The documentation for this class was generated from the following files:

- dchroot-dsa/dchroot-dsa-main.h
- dchroot-dsa/dchroot-dsa-main.cc